Issue 64886 - a plus / minus sign next to each heading in Navigator
Summary: a plus / minus sign next to each heading in Navigator
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: OOo 2.0.2
Hardware: All All
: P3 Trivial with 14 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
: 36567 79603 89684 95693 110585 112585 (view as issue list)
Depends on:
Blocks:
 
Reported: 2006-04-28 13:08 UTC by jianhuajiao
Modified: 2017-05-20 11:15 UTC (History)
8 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
patch (5.40 KB, patch)
2006-04-28 13:10 UTC, jianhuajiao
no flags Details | Diff
test file (19.50 KB, application/msword)
2006-05-30 02:44 UTC, jianhuajiao
no flags Details
new feature's screenshot using test file (140.10 KB, image/png)
2006-05-30 02:50 UTC, jianhuajiao
no flags Details
Mockup with adjusted spacing (39.16 KB, application/vnd.sun.xml.draw)
2006-05-30 12:51 UTC, frank.loehmann
no flags Details
new patch let "Content view" has same behavior (7.63 KB, patch)
2006-05-31 17:14 UTC, jianhuajiao
no flags Details | Diff
update for hold the expend and collapse status (3.25 KB, patch)
2007-03-14 10:43 UTC, jianhuajiao
no flags Details | Diff
Update for Drag&Drop (6.27 KB, text/plain)
2008-03-25 05:11 UTC, jianhuajiao
no flags Details
Navigator in Debinan 1:3.2.0-7ubuntu4.1, 3.6.2010 01:57:32 UTC (70.97 KB, image/png)
2010-06-24 08:24 UTC, jogi
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jianhuajiao 2006-04-28 13:08:42 UTC
In Navigator:
1. add plus/minus 
2. changed select outlines goto the assosiate content.
Comment 1 jianhuajiao 2006-04-28 13:10:01 UTC
Created attachment 36135 [details]
patch
Comment 2 michael.ruess 2006-04-28 13:28:42 UTC
Reassigned to requirments.
Comment 3 mmeeks 2006-04-28 15:09:47 UTC
changing type to patch - as it is :-)
Comment 4 lohmaier 2006-04-28 20:22:20 UTC
back from requirements to default owner.
Comment 5 michael.ruess 2006-05-03 16:25:04 UTC
But before adding a patch which changes UI, it has to be verified by
UserExperience where also a spec will be created (which is needed for UI changes).
Comment 6 bettina.haberer 2006-05-03 16:39:44 UTC
Hi Frank, could you please take over this patch and discuss it with development
(CC'ed Oliver Specht). Thank you!
Comment 7 frank.loehmann 2006-05-29 15:08:31 UTC
FL->jianhuajiao: Please add a screenshot of the navigator to illustrate the
proposed change. 
Comment 8 frank.loehmann 2006-05-29 16:58:43 UTC
Set target
Comment 9 jianhuajiao 2006-05-30 02:44:02 UTC
Created attachment 36787 [details]
test file
Comment 10 jianhuajiao 2006-05-30 02:50:54 UTC
Created attachment 36788 [details]
new feature's screenshot using test file
Comment 11 frank.loehmann 2006-05-30 12:51:19 UTC
Created attachment 36800 [details]
Mockup with adjusted spacing
Comment 12 frank.loehmann 2006-05-30 13:30:22 UTC
Fine I have just checked the mock-up. I think we should do this, but we need
some small adjustments. I have attached a mock-up (Draw document) with an
adjusted spacing for the different levels. Please load the document and the
switch from page one to page two to see the differences. This adjusted indent
and spacing (also to the heading text) makes it easier see the different heading
levels. A colleague told me that this spacing can be set using the
SetIndent(short) from the SvTreeListBox. Please adjust this spacing.

Furthermore we have to change the interaction a little bit, because we have a
function to set the visibility level from 1 to 10 in the toolbar of the
Navigator. If this option is set to “1”, only the first level headings is shown,
if it is 2, the first and the second level is shown. Then the user can further
“explore” the document by expanding headings. This setting also defines the
default heading level shown, if the Navigator will be closed and reopened and is
also executed if being changed.

Last but not least the expand or collapsed status of a heading must be saved at
least for runtime. This would allow to close and re-open the navigator and to
update a heading from a changed heading text in the document and keep the right
status.
Comment 13 jianhuajiao 2006-05-31 17:14:04 UTC
Created attachment 36838 [details]
new patch let "Content view" has same behavior
Comment 14 jianhuajiao 2006-05-31 17:15:55 UTC
in the new patch
change the Single click back to orig behavior
make "Content View" has same view.
 
Comment 15 frank.loehmann 2006-06-16 15:27:29 UTC
FL: We need to have a look at the extension. Please check if current target is o.k.
Comment 16 Oliver Specht 2006-07-03 12:24:52 UTC
I checked the current patch and it does not save the current state of
expanded/collapsed headings - but I doubt that it makes sense to do so. After
restarting/switching the Navigator the structure and content of the headings
might have changed significantly. The expanded/collapsed state can't be restored
anyway. 
It does not enable exploring of heading levels in case of restricted display of
these levels. I think it would be best if the level is increased automatically
once a heading is expanded.

I can live with the two restrictions above - but there's another problem:
Collapsed headings are expanded automatically once the heading text is edited in
the document. That needs to be fixed.
Comment 17 lohmaier 2006-07-17 11:48:23 UTC
*** Issue 36567 has been marked as a duplicate of this issue. ***
Comment 18 pavel 2006-08-22 09:56:34 UTC
move to next release because of code freeze.
Comment 19 pavel 2006-11-06 14:44:17 UTC
move to even more later release because of code freeze.
Comment 20 Mathias_Bauer 2006-12-21 08:57:44 UTC
jianhuajiao, this patch seems to be insufficient. Can we expect that it will be
reworked? Or can we close this issue?
Comment 21 jianhuajiao 2006-12-22 02:24:58 UTC
mba, I need time to rework.
Comment 22 Mathias_Bauer 2007-01-08 09:29:55 UTC
Thanks for letting us know this. I was just asking because I wanted to know if
this issue is still worked on. 
Comment 23 jianhuajiao 2007-03-14 10:43:29 UTC
Created attachment 43697 [details]
update for hold the expend and collapse status
Comment 24 jianhuajiao 2007-03-14 10:46:03 UTC
the new patch depend on former patch. it uses a map to map content objects
(address) and expend status (boolean).
Comment 25 jianhuajiao 2007-03-16 03:28:46 UTC
it should using following code the deal with root view:

-   if(!bIsRoot || ((SwContentType*)pParent->GetUserData())->GetType() ==
CONTENT_TYPE_OUTLINE)
+   if(!bIsRoot || (((SwContentType*)pParent->GetUserData())->GetType() ==
CONTENT_TYPE_OUTLINE) ||
+            (nRootType == CONTENT_TYPE_OUTLINE))

Comment 26 Mathias_Bauer 2007-04-10 11:40:58 UTC
jianhuajiao, if you want us to review your patch please assign it to OS. Thank you.
Comment 27 jianhuajiao 2007-04-11 02:58:18 UTC
review patch. thanks
Comment 28 Oliver Specht 2007-04-11 07:08:31 UTC
Should be my issue :-)
Comment 29 Oliver Specht 2007-04-11 10:19:32 UTC
->jianhuajiao: I still see the problem with the initially not expanded headings.
If I open the navigator for a document with lots of headings only the first
heading level is visible and I have to expand all entries manually to see them
all. Please change the default expansion to the value of 'heading levels shown'
and expand/collapse the entries if changes are made to this value. 
Comment 30 jianhuajiao 2007-04-11 10:32:41 UTC
->os: yes. I set the default behavior as you descripted.
I think expend too many headlines in the navigate view is not good idea.
It will fill all space and we could not see other elements that parallel
with headline.

maybe expanding headline in root mode be nice? 
but it may confilct with keep status because of two behavior change.

Comment 31 Oliver Specht 2007-04-11 12:44:25 UTC
->jianhuajiao: Maybe we need a broader audience and start a discussion on the
sw-dev mailing list. But from my point of view it would make sense to see more
than just the first level headings. 
Comment 32 jianhuajiao 2007-04-12 06:39:34 UTC
->os: yes. we need a broader audience
Comment 33 Oliver Specht 2007-05-07 06:59:15 UTC
->jianhuajiao: Now the discussion on the mailing list seems to be over.
I'd say we should follow Christan Jansens post from 4/12/07,
on click expand the headings completely until the 'Number of headings' is reached. 
On the other hand changes in the 'Number of headings' setting should expand all
headings up to that level. 
Your mechanism to store the state of the expanded/collapsed headings doesn't
need to be changed. It's just the dependence to the 'Number of headings' setting.
Comment 34 Mathias_Bauer 2007-06-06 11:22:44 UTC
jianhuajiao: are you fine with the approach outlined by Oliver?
Comment 35 jianhuajiao 2007-06-06 14:26:31 UTC
->os,mba:Sorry. I have got the outline. It is good. And I will implement it soon.
Comment 36 Mathias_Bauer 2007-06-27 12:00:34 UTC
target 2.x
Comment 37 Mathias_Bauer 2007-08-20 08:28:06 UTC
Any news on that?
Comment 38 Mathias_Bauer 2007-10-09 11:41:59 UTC
Any news on that? Are you still working on this issue or should be abandon the
patch?
Comment 39 Mathias_Bauer 2007-11-11 20:45:38 UTC
After 5 months without a reaction I think it's a safe bet that the patch should
be considered as rejected. Back to "enhancement".

For the time being I take that issue
Comment 40 Mathias_Bauer 2007-12-03 17:19:31 UTC
according to release status meeting -> target 3.x
Comment 41 jianhuajiao 2008-03-25 05:11:31 UTC
Created attachment 52275 [details]
Update for Drag&Drop
Comment 42 michael.ruess 2008-05-22 08:41:50 UTC
*** Issue 89684 has been marked as a duplicate of this issue. ***
Comment 43 skelem 2008-10-23 19:25:53 UTC
The 3.0.0 release for opensuse 11.0, i386 is missing a useful Navigator feature
that used to be there.

In the Navigator window, under Headings, there used to be a +/- box for
expanding/collapsing hierarchy at each level. Now the +/- is at only the
Headings level. I'm editing a 250-page document with over 300 headings. Being
able to collapse the hierarchy is a real time-saver for me, as I don't have to
scroll tediously through this large list over and over.

I can see the desire for some users not to have to use +/-. Please put this
feature back into OO as an option, as both use models are very useful.
I've tried the 2nd button from the left on the 2nd row of the Navigator. All it
seems to do is indent the entire hierarchy by about a millimeter.

Thanks
Comment 44 mmeeks 2008-10-24 10:23:33 UTC
skelem: where did you get your OO.o 3.0 from ? this is a go-oo feature that is
not yet up-stream; are you using go-oo ?
Comment 45 michael.ruess 2009-07-23 09:36:54 UTC
*** Issue 95693 has been marked as a duplicate of this issue. ***
Comment 46 michael.ruess 2009-07-23 09:41:26 UTC
*** Issue 79603 has been marked as a duplicate of this issue. ***
Comment 47 eric.savary 2010-04-04 11:17:47 UTC
*** Issue 110585 has been marked as a duplicate of this issue. ***
Comment 48 jbf.faure 2010-04-08 21:49:53 UTC
Add me to cc.
Comment 49 uroveits 2010-05-25 22:20:54 UTC
In my opinion Navigator with the "+/-"-function is required in long documents, 
i.e. expanding/collapsing hierarchy at each level.
Question: why no one wants to program this change?
Comment 50 pk72 2010-05-26 08:35:03 UTC
I am waiting for the expand/collapse feature too. In fact this is the only
reason I am forced to use the go-oo branch right now. Their implementation of
expand/collapse works fine for me.
Regarding the discussion on all headings collapsed/expanded when navigator is
opened: imho this feature is needed to work with large documents. When a large
number of headings is expanded, you spend your time scrolling through the
expanded headings finding what you are looking for. The feature is needed to
enable the user to go directly to the heading he needs by opening subheadings in
the tree hierarchy. To do this the headings should be collapsed as the default
view, same as in every outliner.
Comment 51 jfjb2005 2010-05-26 13:13:04 UTC
I second your opinion,pk72.
In fact , I reiterate my inquiry about fixing this tiny but important detail
which is NOT a problem under Ubuntu -- I see it working just fine when I boot
that system up.
Why wouldn't the feature be equally effective under Windows?
Thanks to you guys, in development, for your attention. You've done a great job
with OpenOffice, it is undeniable. But since my original request, two or three
product releases ago, I've been hoping to find the utility reinstated. tono
avail, and much to my dismay.
Comment 52 Oliver Specht 2010-06-23 08:58:05 UTC
*** Issue 112585 has been marked as a duplicate of this issue. ***
Comment 53 jogi 2010-06-24 08:24:32 UTC
Created attachment 70186 [details]
Navigator in Debinan 1:3.2.0-7ubuntu4.1, 3.6.2010 01:57:32 UTC
Comment 54 jogi 2010-06-24 08:25:40 UTC
As you can see at the attached screenshot: It is already there!!!

OpenOffice 3.2.0
OOO320m12 Build 9483
ooo-build 3.2.0.10
Debinan 1:3.2.0-7ubuntu4.1, 3.6.2010 01:57:32 UTC

Why in Ubuntu and not for the rest of the world?
Comment 55 Mathias_Bauer 2010-06-24 09:29:29 UTC
Probably because they included the patch that os rejected as incomplete?
Comment 56 jogi 2010-06-24 12:03:14 UTC
@mba: iterative development is sometimes a good choice. :-)
Comment 57 Marcus 2017-05-20 11:15:21 UTC
Reset assigne to the default "issues@openoffice.apache.org".